## nexuiz-data 2.4.2

=== data/Makefile ===
FTEQCC ?= fteqcc
PERL ?= perl
PK3NAME ?= `date +../data%Y%m%d.pk3`
ZIP ?= 7za a -tzip -mx=9

all: qc

.PHONY: qc
qc: menu.dat progs.dat

.PHONY: skin
skin: gfx/menu/default/skinvalues.txt

.PHONY: pk3
pk3: $(PK3NAME)

.PHONY: clean
clean:
	rm -f progs.dat menu.dat csprogs.dat

csprogs.dat: qcsrc/client/*.* qcsrc/common/*.*
	( cd qcsrc/client; $(FTEQCC) )

progs.dat: qcsrc/server/*.* qcsrc/common/*.*
	( cd qcsrc/server; $(FTEQCC) )

menu.dat: qcsrc/menu/*.* qcsrc/menu/*/*.* qcsrc/common/*.*
	( cd qcsrc/menu; $(FTEQCC) )

gfx/menu/default/skinvalues.txt: qcsrc/menu/skin-customizables.inc
	$(PERL) qcsrc/menu/skin-customizables.inc > gfx/menu/default/skinvalues.txt

$(PK3NAME): qc
	$(RM) $(PK3NAME)
	set -ex; \
		ABSPK3NAME=$(PK3NAME); \
		case $$ABSPK3NAME in \
			/*) \
				;; \
			*) \
				ABSPK3NAME=$$PWD/$$ABSPK3NAME; \
				;; \
		esac; \
		TDIR=`mktemp -d -t nexuizpk3.XXXXXX`; \
		svn export --force . $$TDIR; \
		cd $$TDIR; \
		$(RM) -r qcsrc common-spog.pk3 \
		$(ZIP) $$ABSPK3NAME .

## nexuiz-data 2.5.2

=== data/Makefile ===
FTEQCC ?= fteqcc
PERL ?= perl
PK3NAME ?= `date +../data%Y%m%d.pk3`
ZIP ?= 7za a -tzip -mx=9
ZIPEXCLUDE ?= -x\!*.pk3 -xr\!\.svn -x\!qcsrc
DIFF ?= diff

FTEQCCFLAGS ?= -Werror -Wall -Wno-mundane -O3 -Ono-c -Ono-cs -flo
FTEQCCFLAGS_PROGS ?= 
FTEQCCFLAGS_MENU ?= 

# NOTE: use -DUSE_FTE instead of -TFTE here!
# It will automagically add an engine check with -TID and then change back to -TFTE
FTEQCCFLAGS_CSPROGS ?= 

# nexuiz svn build system overrides this by command line argument
NEX_BUILDSYSTEM =

all: qc

.PHONY: update-cvarcount
update-cvarcount:
	[ "$(NEX_BUILDSYSTEM)" = "" ] || [ "$(NEX_BUILDSYSTEM)" = "1" ]
	[ "$(NEX_BUILDSYSTEM)" != "" ] || { ! [ -f ../misc/netradiant-NexuizPack/nexuiz.game/data/entities.def ] || $(DIFF) scripts/entities.def ../misc/netradiant-NexuizPack/nexuiz.game/data/entities.def || { echo entities.def mismatch, please merge ../misc/netradiant-NexuizPack/nexuiz.game/data/entities.def and scripts/entities.def; exit 1; }; }
	[ "$(NEX_BUILDSYSTEM)" != "" ] || { DO_NOT_RUN_MAKE=1 sh update-cvarcount.sh; }

.PHONY: qc
qc: update-cvarcount
	$(MAKE) qc-recursive

.PHONY: qc-recursive
qc-recursive: menu.dat progs.dat csprogs.dat

.PHONY: skin
skin: gfx/menu/default/skinvalues.txt

.PHONY: pk3
pk3: $(PK3NAME)

.PHONY: pk3here
pk3here: qc
	$(RM) $(PK3NAME); \
	set -ex; \
		ABSPK3NAME=$(PK3NAME); \
		case $$ABSPK3NAME in \
			/*) \
				;; \
			*) \
				ABSPK3NAME=$$PWD/$$ABSPK3NAME; \
				;; \
		esac; \
		$(ZIP) $(ZIPEXCLUDE) $$ABSPK3NAME .

.PHONY: clean
clean:
	rm -f progs.dat menu.dat csprogs.dat

csprogs.dat: qcsrc/client/*.* qcsrc/common/*.*
	cd qcsrc/client && $(FTEQCC) $(FTEQCCFLAGS) $(QCFLAGS_CSPROGS)

progs.dat: qcsrc/server/*.* qcsrc/common/*.* qcsrc/server/*/*.* qcsrc/server/*/*/*.*
	cd qcsrc/server && $(FTEQCC) $(FTEQCCFLAGS) $(QCFLAGS_PROGS)

menu.dat: qcsrc/menu/*.* qcsrc/menu/*/*.* qcsrc/common/*.*
	cd qcsrc/menu && $(FTEQCC) $(FTEQCCFLAGS) $(FTEQCCFLAGS_MENU)

gfx/menu/default/skinvalues.txt: qcsrc/menu/skin-customizables.inc
	$(PERL) qcsrc/menu/skin-customizables.inc > gfx/menu/default/skinvalues.txt

$(PK3NAME): qc
	$(RM) $(PK3NAME)
	set -ex; \
		ABSPK3NAME=$(PK3NAME); \
		case $$ABSPK3NAME in \
			/*) \
				;; \
			*) \
				ABSPK3NAME=$$PWD/$$ABSPK3NAME; \
				;; \
		esac; \
		TDIR=`mktemp -d -t nexuizpk3.XXXXXX`; \
		cp -v progs.dat csprogs.dat menu.dat $$TDIR/; \
		svn export --force . $$TDIR; \
		cd $$TDIR; \
		$(RM) -r qcsrc common-spog.pk3; \
		$(ZIP) $$ABSPK3NAME .

.PHONY: log
log:
	cd .. && svn log -r HEAD:BASE

.PHONY: logv
logv:
	cd .. && svn log -r HEAD:BASE -v

.PHONY: update
update:
	cd .. && svn up

.PHONY: logupdate
logupdate:
	cd .. && svn log -r HEAD:BASE && svn up

.PHONY: logvupdate
logvupdate:
	cd .. && svn log -r HEAD:BASE -v && svn up

=== debian/changelog ===
nexuiz-data (2.5.2-11) unstable; urgency=medium

  * Standards-Version: 4.5.0 (no changes required)
  * Use https for Homepage
  * d/rules: Don't pass -mx=9 to 7za when building with noopt.
    Selecting maximum compression is analogous to selecting aggressive
    compiler optimizations: it produces better binaries, but takes a
    disproportionately long time. For local test-builds it's a lot quicker
    to produce larger binaries with minimal compression: 7za -mx=1 provides
    pk3 files around 10% larger than -mx=9, but is much, much faster.
  * There was no 2.5.2-10 due to a mistake when tagging the release.

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Aug 2020 12:42:45 +0100

nexuiz-data (2.5.2-9) unstable; urgency=medium

  * Change Vcs-* to point to salsa.debian.org
  * Standards-Version: 4.1.4 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 09:15:18 +0100

nexuiz-data (2.5.2-7) unstable; urgency=low

  [ Anton Balashov ]
  * Rebuild with a dpkg that defaults to xz compression (Closes: #647621).
  * Change versioned Conflicts to versioned Breaks.
  * Update to standards version 3.9.4. No changes were necessary.
  * Added the watch file.
  * Fix link on GPL-2 in copyright file

  [ Simon McVittie ]
  * Add Multi-Arch: foreign to all the binary packages
  * debian/patches/reproducible_build.diff:
    Apply patch from Reiner Herrmann for locale-independent sorting
    (Closes: #808652)
  * Add DEP-3 patch metadata
  * Put-parentheses-around-array-member-dereferences.patch:
    Add patch to avoid weird precedence in fteqcc (Closes: #668349)
  * Update Homepage to match src:nexuiz
  * Update Vcs-* fields
  * Add debian/gbp.conf, using DEP-3 branch names
  * Add myself to Uploaders
  * Wrap and sort control files
  * Update to standards version 4.1.3 (no further changes)
  * Move to debhelper compat level 11
  * Disable pristine-tar. The delta is almost as large as the upstream
    tarball for this package, so it doesn't seem useful.

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2018 11:11:02 +0000

nexuiz-data (2.5.2-6) unstable; urgency=low

  * Team upload.
  * Make the engine start in windowed mode by default.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 15:34:29 +0200

nexuiz-data (2.5.2-5) unstable; urgency=low

  [ Evgeni Golov ]
  * Remove Gerfried Fuchs from Uploaders as per own request.

  [ Bruno "Fuddl" Kleinert ]
  * Team upload
  * Update to standards version 3.9.2. No changes were necessary.
  * Switch to debhelper 8
    * Build-depend on debhelper >= 8
    * Rework debian/rules file

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 31 May 2011 15:22:10 +0200

nexuiz-data (2.5.2-4) unstable; urgency=low

  * Update to standards version 3.9.1 without changes
  * Use UTF-8 copyright sign in copyright file as required by the Debian policy
  * Remove deprecated description how the sources were obtained from upstream.
    The description is documented by get-nexuiz-data-orig.sh
  * Correct download and homepage URLs in copyright and control files
  * Install example perl and shell scripts for server administration
  * Build-depend on debhelper >= 7, we need it for dh_prep. Thanks to lintian!

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sat, 31 Jul 2010 16:37:22 -0400

nexuiz-data (2.5.2-3) unstable; urgency=low

  * Convert to debian format 3.0 quilt
    * Drop build dependency on quilt
    * Purge quilt calls from rules file
  * Correct URLs in Vcs-* fields in the control file, since I moved this package
    into Git
  * Ship textures in the binary package nexuiz-textures. This reduces the size
    of nexuiz-data, it's possible to put Nexuiz on CD-ROMs again and we can
    (Closes: #557218)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 20 Nov 2009 19:58:30 +0100

nexuiz-data (2.5.2-2) unstable; urgency=low

  * Add get-nexuiz-data-orig.sh to fetch sources from upstream Subversion
    repository, clean it and build an .orig.tar.gz
  * Lower the Recommends on nexuiz or nexuiz-server to a Suggets. Thanks Rhonda
    for pointing this out!

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 06 Nov 2009 13:02:39 +0100

nexuiz-data (2.5.2-1) unstable; urgency=low

  [ Gerfried Fuchs ]
  * Also clean qcsrc/menu/fteqcc.log and qcsrc/server/fteqcc.log.

  [ Bruno "Fuddl" Kleinert ]
  * Update copyright year to 2009 in debian/copyright
  * Update to standards version 3.8.3. No changes were necessary
  * Drop patch 01_fix-broken-mouse-in-pro.diff because upstream dropped the
    "pro" mode
  * Refreshed 01_remove_broken_keys.diff, but disable it at the moment, since we
    touch a file that is md5 check-summed. TODO: We need to find a workaround or
    a proper solution for this.
  * Refresh 02_disable_update_check.diff. Upstream added a variable to turn off
    searching for new release, so we can simply disable it in defaultNexuiz.cfg.
    BUT this patch isn't applied at the moment, bceause of the md5 checksumming
  * Bump build dependency of fteqcc to at least version 3343+svn3400
  * Also clean qcsrc/client/fteqcc.log
  * Update my email address in Uploaders field
  * Add ${misc:Depends} as dependency to nexuiz-data and nexuiz-music. Thanks to
    lintian! ;)
  * Replace build dependency of zip by p7zip-full. Upstream uses it in its
    Makefile.
  * Add 04_exclude_music_in_datapk3.diff. It makes the upstream Makefile exclude
    the music files to be excluded from the big data.pk3 ZIP-archive.
  * Add patches/05_disable_development_warning.diff to make nexuiz not complain
    about being a development snapshot. This is necessary because we fetch
    sources from the upstream Subversion repository.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 20 Oct 2009 19:46:24 +0200

nexuiz-data (2.4.2-2) unstable; urgency=low

  * Added myself to Uploaders.
  * New patch disable_update_check to stop nagging users about the new
    upstream version (closes: #522738)
  * Update to Standards-Version 3.8.2:


=== debian/control ===
Source: nexuiz-data
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 11),
 fteqcc (>= 3343+svn3400),
Build-Depends-Indep:
 p7zip-full,
Standards-Version: 4.5.0
Homepage: https://www.alientrap.org/games/nexuiz/
Vcs-Git: https://salsa.debian.org/games-team/nexuiz-data.git
Vcs-Browser: https://salsa.debian.org/games-team/nexuiz-data

Package: nexuiz-data
Architecture: all
Multi-Arch: foreign
Depends:
 nexuiz-textures (= ${source:Version}),
 ${misc:Depends},
Breaks:
 nexuiz (<< ${source:Upstream-Version}),
 nexuiz-server (<< ${source:Upstream-Version}),
Suggests:
 nexuiz (>= ${source:Upstream-Version}) | nexuiz-server (>= ${source:Upstream-Version}),
 nexuiz-music (>= ${source:Upstream-Version}),
Description: Nexuiz game data files
 Nexuiz is a 3d deathmatch game made entirely over the internet. The purpose of
 the game is to bring deathmatch back to the basics, with perfect weapon
 balancing and fast paced action, keeping itself away from the current trend of
 realistic shooters.
 .
 This package contains only data files like levels and sounds. If you want to
 play the game you need to install the package "nexuiz".

Package: nexuiz-music
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 nexuiz (>= ${source:Upstream-Version}),
Description: Nexuiz music files
 Nexuiz is a 3d deathmatch game made entirely over the internet. The purpose of
 the game is to bring deathmatch back to the basics, with perfect weapon
 balancing and fast paced action, keeping itself away from the current trend of
 realistic shooters.
 .
 This package contains only the in-game music files. If you want to play the
 game you need to install the package "nexuiz".

Package: nexuiz-textures
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 nexuiz (>= ${source:Upstream-Version}),
Description: Textures for Nexuiz
 Nexuiz is a 3d deathmatch game made entirely over the internet. The purpose of
 the game is to bring deathmatch back to the basics, with perfect weapon
 balancing and fast paced action, keeping itself away from the current trend of
 realistic shooters.
 .
 This package contains only the textures for maps, models and so on. If you want
 to play the game you need to install the package "nexuiz".

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

SEVENZ_ZIP = 7za a -tzip

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export ZIP = $(SEVENZ_ZIP) -mx=9
else
export ZIP = $(SEVENZ_ZIP) -mx=1
endif

%:
	dh $@

override_dh_auto_build:
	# Builds QuakeC and the huge data.zip archive.
	# data/Makefile will update the cvar checksums in a bunch of in-tree
	# files, so we have to back them up BEFORE calling data/Makefile. We
	# have to restore them before all quilt patches get pop'ed, otherwise
	# quilt would fail.
	mkdir -p debian/backup
	cp	data/Makefile \
		data/balance.cfg \
		data/balance25.cfg \
		data/balanceHavoc.cfg \
		data/balanceSamual.cfg \
		data/defaultNexuiz.cfg \
		data/qcsrc/server/constants.qh debian/backup
	make -C data pk3here
	mkdir -p tmp/sound
	cp -r data/sound/cdtracks tmp/sound
	cd tmp && $(SEVENZ_ZIP) -mx=0 music.pk3 sound
	# Same thing for the textures
	cd data && $(ZIP) textures.pk3 textures

override_dh_auto_clean:
	#$(MAKE) -C data clean
	rm -f build-stamp configure-stamp
	rm -rf debian/tmp tmp
	rm -f data/data.pk3 \
		data/textures.pk3
	rm -f data/qcsrc/menu/fteqcc.log data/qcsrc/server/fteqcc.log \
		data/qcsrc/client/fteqcc.log
	# Restore modified in-tree files (see above)
	[ ! -e debian/backup ] || \
		mv	debian/backup/Makefile \
			debian/backup/balance.cfg \
			debian/backup/balance25.cfg \
			debian/backup/balanceHavoc.cfg \
			debian/backup/balanceSamual.cfg \
			debian/backup/defaultNexuiz.cfg data/
	[ ! -e debian/backup ] || \
		mv	debian/backup/constants.qh data/qcsrc/server/
	rm -rf debian/backup

=== debian/watch ===
version=3

opts="uversionmangle=s/(\d)(?!$)/$1\./g" \
http://sf.net/nexuiz/nexuiz-(\d+)\.zip
